# Created by pyp2rpm-3.3.8
%global pypi_name tabulate

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 5
Summary:        Pretty-print tabular data
Group:          Development/Python
License:        MIT
URL:            https://github.com/astanin/python-tabulate
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pretty-print tabular data in Python, a library and a command-line utility.

The main use cases of the library are:
- printing small tables without hassle: just one function call, formatting is
  guided by the data itself
- authoring tabular data for lightweight plain-text markup: multiple output
  formats suitable for further editing or transformation
- readable presentation of mixed textual and numeric data: smart column
  alignment, configurable number formatting, alignment by a decimal point

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pretty-print tabular data in Python, a library and a command-line utility.

The main use cases of the library are:
- printing small tables without hassle: just one function call, formatting is
  guided by the data itself
- authoring tabular data for lightweight plain-text markup: multiple output
  formats suitable for further editing or transformation
- readable presentation of mixed textual and numeric data: smart column
  alignment, configurable number formatting, alignment by a decimal point

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/tabulate


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.0-5.mga10
+ Revision: 2239236
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.9.0-4.mga10
+ Revision: 2155983
- rebuild for python3.13

* Wed Dec 27 2023 wally <wally> 0.9.0-3.mga10
+ Revision: 2022155
- rebuild for py3.12
- use %%pyproject_buildrequires

* Fri Jan 06 2023 wally <wally> 0.9.0-2.mga9
+ Revision: 1930625
- fix python3dist version info

* Sat Dec 17 2022 wally <wally> 0.9.0-1.mga9
+ Revision: 1924048
- new version 0.9.0

* Sun Sep 11 2022 wally <wally> 0.8.10-1.mga9
+ Revision: 1887187
- imported package python-tabulate

